echo off
cls

md output
cd output
md temp
cd ..

echo Kompiliere uDMX...
avr-gcc.exe -mmcu=atmega8 -Wall -gdwarf-2 -O0 -MD -MP -MT output/uDMX.o -MF output/temp/uDMX.o.d -c uDMX.c

echo Kompiliere USB-Driver...
avr-gcc.exe -mmcu=atmega8 -Wall -gdwarf-2 -O0 -MD -MP -MT output/usbdrv.o -MF output/temp/usbdrv.o.d -c usbdrv/usbdrv.c

echo Kompiliere USB-Driver (asm)...
avr-gcc.exe -mmcu=atmega8 -mmcu=atmega8 -Wall -gdwarf-2 -O0 -MD -MP -MT output/usbdrvasm.o -MF output/temp/usbdrvasm.o.d  -x assembler-with-cpp -Wa,-gdwarf2 -c  usbdrv/usbdrvasm.S

echo Merge Projekt...
avr-gcc.exe -mmcu=atmega8  uDMX.o usbdrv.o usbdrvasm.o -o output/PC_DIMMER_DMX512_Interface.elf

echo Erstelle HEX-Datei...
avr-objcopy -O ihex -R .eeprom  output/PC_DIMMER_DMX512_Interface.elf output/PC_DIMMER_DMX512_Interface.hex

echo Erstelle EEPROM-Datei...
avr-objcopy -j .eeprom --set-section-flags=.eeprom="alloc,load" --change-section-lma .eeprom=0 --no-change-warnings -O ihex output/PC_DIMMER_DMX512_Interface.elf output/PC_DIMMER_DMX512_Interface.eep || exit 0

echo Entferne Dateien...
del uDMX.o > nul
del usbdrv.o > nul
del usbdrvasm.o > nul
del output\PC_DIMMER_DMX512_Interface.elf > nul
del output\temp\uDMX.o.d > nul
del output\temp\usbdrv.o.d > nul
del output\temp\usbdrvasm.o.d > nul

rd output\temp

echo Fertig.